*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: #222831;
}

main{
    color: #EEEEEE;
}



nav{
    padding: 20px;
    margin-top: auto;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50px;
    text-align: center;
}

h3{
    text-align: center;
    margin: 30px auto;
    font-size: 50px;
    text-decoration-line: underline;
    text-decoration-color: #00ADB5;
}

img{
    display: block;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50px;
    width: 400px;
    height: 400px;
    border-radius: 20%;
    border: 10px solid #00ADB5;
    object-fit: cover;
}

h2{
    text-align: center;
    font-size: 30px;
    margin: 20px auto;
    text-decoration-line: underline;
    text-decoration-color: #00ADB5;
}

table, th, td{
    border: 3px solid #00ADB5;
    border-collapse: collapse;
    width: 50%;
    padding: 10px;
    font-size: large;
    margin: 50px auto;
}

.center{
    margin-left: auto;
    margin-right: auto;
}

.container{
    text-align: center;
}

ol{
    display: inline-block;
    text-align: left;
    margin: 30px;
}


li{
    margin: 20px auto;
    font-size: large;
    text-decoration-line: underline;
    text-decoration-color: #00ADB5;
}


footer{
    background-color: #00ADB5;
	color: #EEEEEE;
    padding: 15px;
    margin: 0 auto;
    font-size: 30px;
    text-align: center;
}

tr:nth-child(even){
    background-color: rgba(0, 173, 181, 0.5);
    color:white;
}




/* Create.html */

label{
    margin-left: 20px;
    margin-bottom: 20px;
    text-transform: uppercase;
    font-family: 'Gambetta', serif;
    letter-spacing: -1px;
    transition: 700ms ease;
    font-variation-settings: "wght" 311;
    margin-bottom: 0.8rem;
    color: #EEEEEE;
    outline: none;
    font-size: 30px;
}

label:hover {
    font-variation-settings: "wght" 582; 
    letter-spacing: 3px;
  }

#id_title, #id_picture{
    width: 200px;
    height: 40px;
    padding: 12px 5px;
    margin: 10px 10px;
    box-sizing: border-box;
    background-color: #EEEEEE;
    border: 3px solid #EEEEEE;
    transition: width 0.5s ease-in-out;
}

#id_title:focus{
    border: 3px solid #00ADB5;
    background-color: #222831;
    color:whitesmoke;
    outline: none;
    width: 30%;
}

#id_picture:focus{
    border: 3px solid #00ADB5;
    background-color: #222831;
    color:whitesmoke;
    outline: none;
    width: 70%;
}

textarea{
    width: 200px;
    height: 100px;
    padding: 12px 10px;
    box-sizing: border-box;
    border: 3px solid #EEEEEE;
    border-radius: 4px;
    background-color: #EEEEEE;
    resize: none;
    transition: width 0.5s ease-in-out;
}

textarea:focus{
    border: 3px solid #00ADB5;
    background-color: #222831;
    color:whitesmoke;
    outline: none;
    width: 70%;
    height: 200px;
}

button{
    margin: 30px auto 20px 10px;
    padding: 20px;
    background-color:#00ADB5;
    color: #222831;
    border: none;
    border-radius: 10px;
    font-size: 20px;
    text-align: center;
    transition-duration: 0.3s;
    cursor: pointer;
}

.cta {
    display: flex;
    padding: 5px 5px;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
    font-size: 40px;
    color: #EEEEEE;
    background: #00ADB5;
    transition: 1s;
    box-shadow: 6px 6px 0 black;
    transform: skewX(-15deg);
}

.cta:focus {
   outline: none; 
}

.cta:hover {
    transition: 0.5s;
    box-shadow: 10px 10px 0 #EEEEEE;
}

.cta span:nth-child(2) {
    transition: 0.5s;
    margin-right: 0px;
}

.cta:hover  span:nth-child(2) {
    transition: 0.5s;
    margin-right: 45px;
}

  span {
    transform: skewX(15deg) 
  }

  span:nth-child(2) {
    width: 20px;
    margin-left: 30px;
    position: relative;
    top: 12%;
  }
  
/**************SVG****************/

path.one {
    transition: 0.4s;
    transform: translateX(-60%);
}

path.two {
    transition: 0.5s;
    transform: translateX(-30%);
}

.cta:hover path.three {
    animation: color_anim 1s infinite 0.2s;
}

.cta:hover path.one {
    transform: translateX(0%);
    animation: color_anim 1s infinite 0.6s;
}

.cta:hover path.two {
    transform: translateX(0%);
    animation: color_anim 1s infinite 0.4s;
}

/* SVG animations */

@keyframes color_anim {
    0% {
        fill: white;
    }
    50% {
        fill: #222831;
    }
    100% {
        fill: white;
    }
}

/*NEON LINK*/

.neon-link{
    font-size: 2rem;
    letter-spacing: 10px;

    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    color:  #ffffff;
    border: #00ADB5 0.125em solid ;
    padding: 0.25em 1em;
    border-radius: 0.25em;

    text-shadow:
    0 0 0.125em hsl(0, 0%, 100%/ 0.5),
    0 0 0.45em currentColor;

    box-shadow:
    inset 0 0 0.5em 0 #00ADB5,
    inset 0 0 0.5em 0 #00ADB5;

    position: relative;
}


.neon-link::before{
    pointer-events: none;
    content: "";
    position: absolute;
    background: #00ADB5;
    top: 120%;
    left: 0;
    width: 100%;
    height: 100%;

    transform: perspective(4em) rotateX(30deg) scale(1, 0.35);
    filter: blur(1.5em);
    opacity: 0.7;
}

.neon-link::after{
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    box-shadow: 0 0 1em 0.5em #00ADB5;
    opacity: 0;
    transition: opacity 100ms linear;
    z-index: -1;
    background-color: #00ADB5;
}

.neon-link:hover,
.neon-link:focus {
    color: #222831;
    text-shadow: none;
}

.neon-link:hover::before,
.neon-link:focus::before{
    opacity: 1;
}

.neon-link:hover::after,
.neon-link:focus::after{
    opacity: 1;
}
